## ros-melodic-denso-robot-control 3.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(denso_robot_control)

find_package(catkin REQUIRED COMPONENTS
  bcap_core
  bcap_service
  controller_manager
  denso_robot_core
  hardware_interface
  joint_limits_interface
  roscpp
  std_msgs
  transmission_interface
)

catkin_package(
  CATKIN_DEPENDS bcap_core bcap_service controller_manager
    denso_robot_core hardware_interface
    joint_limits_interface roscpp std_msgs
    transmission_interface
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/denso_robot_hw.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${denso_robot_core_LIBRARIES}
)

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# launch
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-denso-robot-control (3.3.0-1bionic) bionic; urgency=high

  * Add supporting for COBOTTA PRO
  * Change "ResetStoState" to "ManualReset" in the initialization process
  * Modify to use reset_controllers when b-CAP Slave is enabled
  * Add parameter to specify bcap_slave_mode at startup

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Mon, 13 Feb 2023 15:00:00 -0000

ros-melodic-denso-robot-control (3.2.0-1bionic) bionic; urgency=high

  * Add "ResetStoState" to initialization

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 01 Jun 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.2-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 01 Apr 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.1-1bionic) bionic; urgency=high

  * Add ros::spinOnce() for the callbacks

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 02 Mar 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.0-1bionic) bionic; urgency=high

  * Add supporting for RC9
  * Add bcap_slave_control_cycle_msec
  * Add error descriptions of controller
  * Fix send_format/recv_format
  * Fix Int32 to UInt32 of MiniIO and HandIO
  * Remove first 5-seconds-sleep in main()

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 22 Dec 2020 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.4-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 26 Nov 2019 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.3-1bionic) bionic; urgency=high

  * Change to sleep in only slave sync mode

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Sun, 22 Sep 2019 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.2-1bionic) bionic; urgency=high

  * Add clear error step before motor on
  * Add subscriber and publisher for I/O function
  * Add I/O function for denso_robot_control
  * Remove new line from ROS_INFO,ROS_WARN,ROS_ERROR
  * Change descriptions and add url, author
  * Check the catkin_lint result
  * Contributors: MIYAKOSHI Yoshihiro

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 14 Dec 2017 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-denso-robot-control
Section: misc
Priority: optional
Maintainer: DENSO WAVE INCORPORATED <fa-support@denso-wave.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-bcap-core, ros-melodic-bcap-service, ros-melodic-catkin, ros-melodic-controller-manager, ros-melodic-denso-robot-core, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-transmission-interface
Homepage: http://ros.org/wiki/denso_robot_control
Standards-Version: 3.9.2

Package: ros-melodic-denso-robot-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-bcap-core, ros-melodic-bcap-service, ros-melodic-controller-manager, ros-melodic-denso-robot-core, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-transmission-interface
Description: The denso robot control package includes a node for controlling DENSO robot controllers with MoveIt!.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-denso-robot-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
